WhatsApp Use
Webhooks

Rotate a webhook endpoint secret

POST
/v1/webhooks/endpoints/{endpoint_id}/rotate-secret

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

endpoint_id*string

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/webhooks/endpoints/string/rotate-secret"
{  "endpoint": {    "id": "string",    "user_id": "string",    "organization_id": "string",    "url": "string",    "description": "string",    "event_types": [      "*"    ],    "all_accounts": true,    "connection_ids": [      "string"    ],    "secret": "string",    "enabled": true,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "deleted_at": "2019-08-24T14:15:22Z"  }}
{  "error": "string"}
{  "error": "string"}